Bug 1375178 - app window grows with each start due to incorrectly using gtk API (wayland)
Summary: app window grows with each start due to incorrectly using gtk API (wayland)
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wireshark
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hatina
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-09-12 12:04 UTC by Kamil Páral
Modified: 2017-12-12 10:13 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:13:58 UTC


Attachments (Terms of Use)

Description Kamil Páral 2016-09-12 12:04:21 UTC
Description of problem:
Since gtk3-3.21.5-1.fc25.x86_64 wireshark-gtk window grows with each start (on wayland). You can see the same issue with virt-manager here:
https://www.youtube.com/watch?v=NO6Wlaoq0x8
(the same issue applies to wireshark-gtk)

This has been reported against gtk:
https://bugzilla.gnome.org/show_bug.cgi?id=771112
and determined as an application bug:
https://bugzilla.gnome.org/show_bug.cgi?id=771112#c7

Quoting how to fix this:

~~~
https://wiki.gnome.org/HowDoI/SaveWindowState

Querying the window size and then setting it with GtkWindow API is perfectly fine.

Querying the window size with GtkWidget API and then setting it with GtkWindow API, *or* querying the window size with GtkWindow API and then setting it with GtkWidget API, is *not* okay, and only worked up until now with server-side decorations only on X11.
~~~

Version-Release number of selected component (if applicable):
wireshark-gtk-2.1.1-1.fc25.x86_64
gtk3-3.21.5-1.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. start and close wireshark-gtk repeatedly, it will grow each time

Comment 1 Peter Robinson 2016-11-19 12:29:44 UTC
Has this been reported upstream?

Comment 2 Kamil Páral 2016-11-22 10:47:06 UTC
I did not report it upstream. I'd have to create wireshark bugzilla account, which I was too lazy to do. I also don't care about this bug too strongly. I hope the package maintainer can forward it, or someone else interested.

Comment 3 Fedora End Of Life 2017-11-16 18:30:41 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:13:58 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.